aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrun.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/run.sh b/run.sh
index dfe5fb9..39c4719 100755
--- a/run.sh
+++ b/run.sh
@@ -8,9 +8,23 @@ nob_cpus() {
done
}
+noturbo() {
+ echo "[+] Setting no-turbo to status $1"
+ if [[ -e /sys/devices/system/cpu/intel_pstate/no_turbo ]]; then
+ echo "$1" > /sys/devices/system/cpu/intel_pstate/no_turbo
+ else
+ local val
+ [[ $1 == 0 ]] && val=0x850089
+ [[ $1 == 1 ]] && val=0x4000850089
+ [[ -n $val ]] || return 0
+ wrmsr -a 0x1a0 $val
+ fi
+}
+
[[ -e kbench9000.ko ]]
-trap "nob_cpus 1" INT TERM EXIT
+trap "nob_cpus 1; noturbo 0;" INT TERM EXIT
+noturbo 1
nob_cpus 0
echo "[+] Inserting module to run tests"